org.apache.cayenne.configuration.server

## Class XMLPoolingDataSourceFactory

- java.lang.Object
- - org.apache.cayenne.configuration.server.XMLPoolingDataSourceFactory

- All Implemented Interfaces:
    DataSourceFactory

      public class XMLPoolingDataSourceFactory
      extends Object
      implements DataSourceFactory

  A `DataSourceFactory` that loads JDBC connection information from an XML resource associated with the DataNodeDescriptor, returning a DataSource with simple connection pooling.
  Since:
    3.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JdbcEventLogger` | `jdbcEventLogger`
    `protected ResourceLocator` | `resourceLocator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLPoolingDataSourceFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataSource` | `getDataSource(DataNodeDescriptor nodeDescriptor)` Returns DataSource object based on the configuration provided in the "nodeDescriptor".

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### resourceLocator

          protected ResourceLocator resourceLocator

    - #### jdbcEventLogger

          protected JdbcEventLogger jdbcEventLogger

  - ### Constructor Detail

    - #### XMLPoolingDataSourceFactory

          public XMLPoolingDataSourceFactory()

  - ### Method Detail

    - #### getDataSource

          public DataSource getDataSource(DataNodeDescriptor nodeDescriptor)
                                   throws Exception

      Description copied from interface: `DataSourceFactory`
      Returns DataSource object based on the configuration provided in the "nodeDescriptor".
      Specified by:
        `getDataSource` in interface `DataSourceFactory`
      Throws:
        `Exception`

Copyright © 2001–2014 Apache Cayenne. All rights reserved.